Subject: [Tsvwg] problem with crc32

From: "namrata mahindrakar" <[email-masked]>
Date: Fri, 24 Aug 2001 05:28:17 +0000

hi,
I am using the alder32 algorithum to calculate the CRC the  out that
should be obtained for char 
pkt_data[44]={0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
                   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
                   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
                   0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
                   0x00,0x00,0x00,0x28}

how do u use this algorithum.(alder32)

How is it better than crc32 lookuptable.

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com/intl.asp

_______________________________________________
tsvwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/tsvwg

---

From: "Asish Thomas Punnoose" <[email-masked]>
Date: Fri, 24 Aug 2001 12:18:52 +0530

Hello Namrata,

There is currently a draft in the tsvwg draft-ietf-tsvwg-rfc2960-bis-00.txt
which has changes incorporated from past bakeoffs and mailing list
discussions.

The section 6.8 of the draft has Fletcher-16 Checksum Calculation instead
of the original alder32 Checksum in RFC 2960.

Now the qus is, which algorithm to use for the checksum calculations. Would
anyone know which algo is been used in the various implementation in the
bakeoff.

regards
Asish

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On Behalf Of
namrata mahindrakar
Sent: Friday, August 24, 2001 10:58 AM
To: [email-masked]
Subject: [Tsvwg] problem with crc32

hi,

---

From: Randall Stewart <[email-masked]>
Date: Fri, 24 Aug 2001 06:35:40 -0500

Asish:

The rfc2960 bis will be withdrawn as soon as it expires. In place
of this we have moved to a

1) Implementors guide

2) CRC checksum change document

and

3) seperate IPv6 scoping for SCTP document.

With the idea that down the road when we are ready to move
to draft standard we will merge these three together.

As far as namrata's question... for adler32 csum your
packet would come up with a checksum of
0x00000028

for CRC-32 I would have to write code to give you the answer...
which I don't have time for right at the moment :<

R

Asish Thomas Punnoose wrote:
>   ------------------------------------------------------------------------
>                                Name: InterScan_Disclaimer.txt
>    InterScan_Disclaimer.txt    Type: Plain Text (text/plain)
>                            Encoding: 7bit

-- 
Randall R. Stewart
[email-masked] 815-342-5222 (cell phone)